AuthenticatorBase.AllowCorsPreflight (Apache Tomcat 9.0.119 API Documentation)
Description: declaration: package: org.apache.catalina.authenticator, class: AuthenticatorBase, enum: AllowCorsPreflight

# Enum AuthenticatorBase.AllowCorsPreflight

java.lang.Object
java.lang.Enum<AuthenticatorBase.AllowCorsPreflight>
org.apache.catalina.authenticator.AuthenticatorBase.AllowCorsPreflight

All Implemented Interfaces:
  `Serializable, Comparable<AuthenticatorBase.AllowCorsPreflight>, java.lang.constant.Constable`

Enclosing class:
  `AuthenticatorBase`

protected static enum AuthenticatorBase.AllowCorsPreflight extends Enum<AuthenticatorBase.AllowCorsPreflight>
Defines the modes for handling CORS preflight requests in the authenticator.

- ## Nested Class Summary

  ### Nested classes/interfaces inherited from class Enum

  `Enum.EnumDesc<E>`

- ## Enum Constant Summary

  Enum Constants
  Enum Constant
  Description
  `ALWAYS`
  Always allow CORS preflight bypass.
  `FILTER`
  Allow CORS preflight bypass only when a CORS filter is configured.
  `NEVER`
  Never allow CORS preflight bypass.

- ## Method Summary

  Modifier and Type
  Method
  Description
  `static AuthenticatorBase.AllowCorsPreflight`
  `valueOf(String name)`
  Returns the enum constant of this type with the specified name.
  `static AuthenticatorBase.AllowCorsPreflight[]`
  `values()`
  Returns an array containing the constants of this enum type, in the order they are declared.

  ### Methods inherited from class Enum

  `clone, compareTo, describeConstable, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

  ### Methods inherited from class Object

  `getClass, notify, notifyAll, wait, wait, wait`

- ## Enum Constant Details

  - ### NEVER

    public static final AuthenticatorBase.AllowCorsPreflight NEVER
    Never allow CORS preflight bypass.

  - ### FILTER

    public static final AuthenticatorBase.AllowCorsPreflight FILTER
    Allow CORS preflight bypass only when a CORS filter is configured.

  - ### ALWAYS

    public static final AuthenticatorBase.AllowCorsPreflight ALWAYS
    Always allow CORS preflight bypass.

- ## Method Details

  - ### values

    public static AuthenticatorBase.AllowCorsPreflight[] values()
    Returns an array containing the constants of this enum type, in the order they are declared.
    Returns:
      an array containing the constants of this enum type, in the order they are declared

  - ### valueOf

    public static AuthenticatorBase.AllowCorsPreflight valueOf(String name)
    Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)
    Parameters:
      `name` - the name of the enum constant to be returned.
    Returns:
      the enum constant with the specified name
    Throws:
      `IllegalArgumentException` - if this enum type has no constant with the specified name
      `NullPointerException` - if the argument is null